GlobalAiOpc

Seedance2.0 - Asset Detail

Query Seedance2.0 asset detail and status

POST/kyyReactApiServer/asset/seedance2/assetDetail

Seedance2.0 Asset Detail

Query asset detail by assetId. A plain ID or assetId://{assetId} is accepted. The query synchronizes the asset status. If a legacy asset has not been initialized in the asset library, the system creates and processes it automatically.
cURL
Authorization: Bearer {{key}}
assetIdstringrequired
Asset ID.
assetIdstring
Asset ID.
assetTypestring
Asset type.
urlstring
Original asset URL.
statusstring
Asset status. Only assets with status=ACTIVE can be used to create video generation tasks.
errorMessagestring
Error message when asset processing fails; otherwise null.
namestring
Asset name.

Asset Statuses

  • NONE: The asset record has been created, but uploading or processing has not started. Query the asset detail again later. Do not create a task yet.
  • UPLOADING: The asset is being uploaded. Wait for the status to change. Do not create a task yet.
  • PROCESSING: The asset is being processed. Query the asset detail again later. Do not create a task yet.
  • ACTIVE: The asset has been processed and is ready. This is the only status that can be used to create a video generation task.
  • FAILED: Asset processing failed. Check errorMessage, resolve the problem, and submit the asset again.
  • EXPIRED: The asset has expired and is unavailable. Continue querying until it is processed to ACTIVE, or submit the asset again if necessary.
  • DELETED: The asset has been deleted or is no longer valid. Submit the asset again and wait until its status becomes ACTIVE.